Subject: [rbridge] New shim header proposal---without F-tag field

From: sgai at nuovasystems.com (Silvano Gai)
Date: Wed, 1 Nov 2006 08:54:56 -0800

What is a stretch is 32K trees of 32K nodes, which is what you need if
you want to deploy the current TRILL proposal with 32K RBridges.

Eric says that we need to accommodate half a million RBridges.
Half a million tree of half a million nodes is unfeasible.

If we want to support such a large number of Rbridges, we need to modify
the current Trill proposal, reducing the number of trees that need to be
computed.

Agreed?

-- Silvano

> -----Original Message-----
> From: Russ White [mailto:riw at cisco.com]
> Sent: Wednesday, November 01, 2006 8:35 AM
> To: Silvano Gai
> Cc: Gray, Eric; Radia Perlman; rbridge at postel.org
> Subject: Re: [rbridge] New shim header proposal---without F-tag field
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> 
> >> 	I don't think there is consensus yet that we only need 16 bits
> >> for RBridge IDs.
> >
> > With 16 bits, using 1 bit to indicate unicast, we can have 32K
switches.
> > According to the current definition of TRILL, there is the need to
run
> > Djikstra on a database with 32K records, one time for the core
instance
> > and 32K times for the IRTs. This is clearly out of reach even for
the
> > most powerful CPU.
> 
> ?? Perhaps 32k trees is a stretch, but 32k nodes in a tree? I don't
> think that's really a stretch on today's processors, from the scaling
> work I've seen done in IS-IS.
> 
> :-)
> 
> Russ
> 
> - --
> riw at cisco.com CCIE <>< Grace Alone
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.2.2 (MingW32)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
> 
> iD8DBQFFSMypER27sUhU9OQRAqLwAJ9FLN2YNP2mrB6i0ZcV1fxLzAT0hgCfYHYj
> 6mJCA68nQLjCD8US9nRZZag=
> =kwzq
> -----END PGP SIGNATURE-----